package org.dromara.system.service;

import org.dromara.system.domain.TblGoodsLoss;
import org.dromara.system.domain.vo.TblGoodsLossVo;
import org.dromara.system.domain.bo.TblGoodsLossBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 丢失货物Service接口
 *
 * @author Lion Li
 * @date 2024-02-22
 */
public interface ITblGoodsLossService {

    /**
     * 查询丢失货物
     */
    TblGoodsLossVo queryById(Long id);

    /**
     * 查询丢失货物列表
     */
    TableDataInfo<TblGoodsLossVo> queryPageList(TblGoodsLossBo bo, PageQuery pageQuery);

    /**
     * 查询丢失货物列表
     */
    List<TblGoodsLossVo> queryList(TblGoodsLossBo bo);

    /**
     * 新增丢失货物
     */
    Boolean insertByBo(TblGoodsLossBo bo);

    /**
     * 修改丢失货物
     */
    Boolean updateByBo(TblGoodsLossBo bo);

    /**
     * 校验并批量删除丢失货物信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
